Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdInfo.DailyInfoModel

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdInfo
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdInfo.DailyInfoModel

Enclosing class:
  cmdInfo

    public static class cmdInfo.DailyInfoModel
    extends cmdInfo

Data class Additional daily information

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdInfo

  `cmdInfo.CurrentReceiptInfo, cmdInfo.DailyInfoModel, cmdInfo.DepartmentData, cmdInfo.FiscalPeriodInfo, cmdInfo.OperatorInfoModel`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `double[]` | `additionalPaymentEX` |
  `static int` | `DAY_INFO_cash_in_out` |
  `static int` | `DAY_INFO_corrections_annulled` |
  `static int` | `DAY_INFO_discounts_surcharges` |
  `static int` | `DAY_INFO_payments` |
  `static int` | `DAY_INFO_sells` |
  `double[]` | `turnoverByTaxGroup` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DailyInfoModel()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `double[]` | `getAccumulatedVATrByTaxGroup()` |
  `double[]` | `getAdditionalPaymentEX()` |
  `double` | `getCash()` |
  `double` | `getCheque()` |
  `int` | `getClosure()` |
  `double` | `getCredit()` |
  `double` | `getDebit()` |
  `int` | `getNumberOfAnnulled()` |
  `int` | `getNumberOfCashIn()` |
  `int` | `getNumberOfCashInF()` |
  `int` | `getNumberOfCashOut()` |
  `int` | `getNumberOfCashOutF()` |
  `int` | `getNumberOfClients()` |
  `int` | `getNumberOfCorrections()` |
  `int` | `getNumberOfDiscounts()` |
  `int` | `getNumberOfSurcharges()` |
  `double` | `getPay1()` |
  `double` | `getPay2()` |
  `double` | `getPay3()` |
  `double` | `getPay4()` |
  `int` | `getReceipt()` |
  `double` | `getSumOfAnnulled()` |
  `double` | `getSumOfCashIn()` |
  `double` | `getSumOfCashInF()` |
  `double` | `getSumOfCashOut()` |
  `double` | `getSumOfCashOutF()` |
  `double` | `getSumOfCorrections()` |
  `double` | `getSumOfDiscounts()` |
  `double` | `getSumOfSells()` |
  `double` | `getSumOfSurcharges()` |
  `double[]` | `getTurnoverByTaxGroup()` |
  `int` | `getType()` |
  `void` | `setAccumulatedVATByTaxGroup​(double[] accumulatedVATrByTaxGroup)` |
  `void` | `setAdditionalPaymentEX​(double[] additionalPaymentEX)` |
  `void` | `setCash​(double cash)` |
  `void` | `setCheque​(double cheque)` |
  `void` | `setClosure​(int closure)` |
  `void` | `setCredit​(double credit)` |
  `void` | `setDebit​(double debit)` |
  `void` | `setNumberOfAnnulled​(int numberOfAnnulled)` |
  `void` | `setNumberOfCashIn​(int numberOfCashIn)` |
  `void` | `setNumberOfCashInF​(int numberOfCashInF)` |
  `void` | `setNumberOfCashOut​(int numberOfCashOut)` |
  `void` | `setNumberOfCashOutF​(int numberOfCashOutF)` |
  `void` | `setNumberOfClients​(int numberOfClients)` |
  `void` | `setNumberOfCorrections​(int numberOfCorrections)` |
  `void` | `setNumberOfDiscounts​(int numberOfDiscounts)` |
  `void` | `setNumberOfSurcharges​(int numberOfSurcharges)` |
  `void` | `setPay1​(double pay1)` |
  `void` | `setPay2​(double pay2)` |
  `void` | `setPay3​(double pay3)` |
  `void` | `setPay4​(double pay4)` |
  `void` | `setReceipt​(int receipt)` |
  `void` | `setSumOfAnnulled​(double sumOfAnnulled)` |
  `void` | `setSumOfCashIn​(double sumOfCashIn)` |
  `void` | `setSumOfCashInF​(double sumOfCashInF)` |
  `void` | `setSumOfCashOut​(double sumOfCashOut)` |
  `void` | `setSumOfCashOutF​(double sumOfCashOutF)` |
  `void` | `setSumOfCorrections​(double sumOfCorrections)` |
  `void` | `setSumOfDiscounts​(double sumOfDiscounts)` |
  `void` | `setSumOfSells​(double sumOfSells)` |
  `void` | `setSumOfSurcharges​(double sumOfSurcharges)` |
  `void` | `setTurnoverByTaxGroup​(double[] turnoverByTaxGroup)` |
  `void` | `setType​(int type)` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdInfo

  `getAdditionalPayNamesCount, GetAPN, GetAPNPass, GetAPNUser, GetCurrentReceipt, GetDailyAccumulatedVATByTaxGroup, GetDailyCashCashInOut, GetDailyNumAndSumsOfDiscountsSurcharges, GetDailyNumAndSumsOfSells, GetDailyNumAndSumsOfVoided, GetDailyPayments, GetDailyPaymentsEx, GetDailyStornoAccumulatedVATByTaxGroup, GetDailyStornoTurnoverByTaxGroup, GetDailyTurnoverByTaxGroup, GetDateTimeOfFiscalization, GetDepartmentData, GetDeviceSerialNumber, GetDHCPenable, GetErrorCode, GetFiscRecord_ActiveTaxARates, GetFiscRecord_AdditionalInfo, GetFiscRecord_Adjustments, GetFiscRecord_AmountsByPaymentType, GetFiscRecord_NetAmounts, GetFiscRecord_TotalSales, GetFiscRecord_VatAssessed, GetLanMAC, GetLastFiscalRecordDate, GetModeConnectionWithPC, GetOperatorInfo, GetOperName, GetOperNamePasw, GetOperPasw, GetRemainingZReportEntries, GetSimICCID, GetSimIMSI, GetSimPin, GetSimTelNumber, GetStatus, GetTaxNumber`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DAY_INFO_payments

    public static final int DAY_INFO_payments
    See Also:
      Constant Field Values

  - ### DAY_INFO_sells

    public static final int DAY_INFO_sells
    See Also:
      Constant Field Values

  - ### DAY_INFO_discounts_surcharges

    public static final int DAY_INFO_discounts_surcharges
    See Also:
      Constant Field Values

  - ### DAY_INFO_corrections_annulled

    public static final int DAY_INFO_corrections_annulled
    See Also:
      Constant Field Values

  - ### DAY_INFO_cash_in_out

    public static final int DAY_INFO_cash_in_out
    See Also:
      Constant Field Values

  - ### additionalPaymentEX

    public double[] additionalPaymentEX

  - ### turnoverByTaxGroup

    public double[] turnoverByTaxGroup

- ## Constructor Details

  - ### DailyInfoModel

    public DailyInfoModel()

- ## Method Details

  - ### getType

    public int getType()

  - ### setType

    public void setType​(int type)

  - ### getNumberOfClients

    public int getNumberOfClients()

  - ### setNumberOfClients

    public void setNumberOfClients​(int numberOfClients)

  - ### getSumOfSells

    public double getSumOfSells()

  - ### setSumOfSells

    public void setSumOfSells​(double sumOfSells)

  - ### getNumberOfSurcharges

    public int getNumberOfSurcharges()

  - ### setNumberOfSurcharges

    public void setNumberOfSurcharges​(int numberOfSurcharges)

  - ### getSumOfSurcharges

    public double getSumOfSurcharges()

  - ### setSumOfSurcharges

    public void setSumOfSurcharges​(double sumOfSurcharges)

  - ### getNumberOfDiscounts

    public int getNumberOfDiscounts()

  - ### setNumberOfDiscounts

    public void setNumberOfDiscounts​(int numberOfDiscounts)

  - ### getSumOfDiscounts

    public double getSumOfDiscounts()

  - ### setSumOfDiscounts

    public void setSumOfDiscounts​(double sumOfDiscounts)

  - ### getNumberOfCorrections

    public int getNumberOfCorrections()

  - ### setNumberOfCorrections

    public void setNumberOfCorrections​(int numberOfCorrections)

  - ### getSumOfCorrections

    public double getSumOfCorrections()

  - ### setSumOfCorrections

    public void setSumOfCorrections​(double sumOfCorrections)

  - ### getNumberOfAnnulled

    public int getNumberOfAnnulled()

  - ### setNumberOfAnnulled

    public void setNumberOfAnnulled​(int numberOfAnnulled)

  - ### getSumOfAnnulled

    public double getSumOfAnnulled()

  - ### setSumOfAnnulled

    public void setSumOfAnnulled​(double sumOfAnnulled)

  - ### getNumberOfCashIn

    public int getNumberOfCashIn()

  - ### setNumberOfCashIn

    public void setNumberOfCashIn​(int numberOfCashIn)

  - ### getSumOfCashIn

    public double getSumOfCashIn()

  - ### setSumOfCashIn

    public void setSumOfCashIn​(double sumOfCashIn)

  - ### getNumberOfCashOut

    public int getNumberOfCashOut()

  - ### setNumberOfCashOut

    public void setNumberOfCashOut​(int numberOfCashOut)

  - ### getSumOfCashOut

    public double getSumOfCashOut()

  - ### setSumOfCashOut

    public void setSumOfCashOut​(double sumOfCashOut)

  - ### getNumberOfCashInF

    public int getNumberOfCashInF()

  - ### setNumberOfCashInF

    public void setNumberOfCashInF​(int numberOfCashInF)

  - ### getSumOfCashInF

    public double getSumOfCashInF()

  - ### setSumOfCashInF

    public void setSumOfCashInF​(double sumOfCashInF)

  - ### getNumberOfCashOutF

    public int getNumberOfCashOutF()

  - ### setNumberOfCashOutF

    public void setNumberOfCashOutF​(int numberOfCashOutF)

  - ### getSumOfCashOutF

    public double getSumOfCashOutF()

  - ### setSumOfCashOutF

    public void setSumOfCashOutF​(double sumOfCashOutF)

  - ### getClosure

    public int getClosure()

  - ### setClosure

    public void setClosure​(int closure)

  - ### getReceipt

    public int getReceipt()

  - ### setReceipt

    public void setReceipt​(int receipt)

  - ### getCash

    public double getCash()

  - ### setCash

    public void setCash​(double cash)

  - ### getCredit

    public double getCredit()

  - ### setCredit

    public void setCredit​(double credit)

  - ### getDebit

    public double getDebit()

  - ### setDebit

    public void setDebit​(double debit)

  - ### getCheque

    public double getCheque()

  - ### setCheque

    public void setCheque​(double cheque)

  - ### getPay1

    public double getPay1()

  - ### setPay1

    public void setPay1​(double pay1)

  - ### getPay2

    public double getPay2()

  - ### setPay2

    public void setPay2​(double pay2)

  - ### getPay3

    public double getPay3()

  - ### setPay3

    public void setPay3​(double pay3)

  - ### getPay4

    public double getPay4()

  - ### setPay4

    public void setPay4​(double pay4)

  - ### getAdditionalPaymentEX

    public double[] getAdditionalPaymentEX()

  - ### setAdditionalPaymentEX

    public void setAdditionalPaymentEX​(double[] additionalPaymentEX)

  - ### getTurnoverByTaxGroup

    public double[] getTurnoverByTaxGroup()

  - ### setTurnoverByTaxGroup

    public void setTurnoverByTaxGroup​(double[] turnoverByTaxGroup)

  - ### setAccumulatedVATByTaxGroup

    public void setAccumulatedVATByTaxGroup​(double[] accumulatedVATrByTaxGroup)

  - ### getAccumulatedVATrByTaxGroup

    public double[] getAccumulatedVATrByTaxGroup()